Bug 461280 - nfs-utils is missing openldap-devel buildrequires
nfs-utils is missing openldap-devel buildrequires
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nfs-utils (Show other bugs)
4.7
All Linux
low Severity low
: rc
: ---
Assigned To: Steve Dickson
yanfu,wang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-05 11:44 EDT by Adrien Kunysz
Modified: 2012-06-20 11:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:58:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrien Kunysz 2008-09-05 11:44:35 EDT
Description of problem:

nfs-utils-1.0.6-87.EL4 (from RHEL4.7) is missing openldap-devel buildrequires. Please add it to the .spec file.

Version-Release number of selected component (if applicable):

1.0.6-87.EL4

How reproducible:

100%

Steps to Reproduce:
# rpm -qa | grep openldap-devel
# pwd
/usr/src/redhat/BUILD
# rpm -U ../SRPMS/nfs-utils-1.0.6-87.EL4.src.rpm
# rpmbuild -ba ../SPECS/nfs-utils.spec
[...]
gcc  -L../../support/lib -o idmapd atomicio.o cfg.o idmapd.o setproctitle.o strlcat.o strlcpy.o -levent -lnfsidmap -lldap
/usr/bin/ld: cannot find -lldap
collect2: ld returned 1 exit status
make[2]: *** [idmapd] Error 1
make[1]: *** [all] Error 2
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.90226 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.90226 (%build)
# up2date openldap-devel
[...]
# rpmbuild -ba ../SPECS/nfs-utils.spec
[...]
Wrote: /usr/src/redhat/SRPMS/nfs-utils-1.0.6-87.EL4.src.rpm
Wrote: /usr/src/redhat/RPMS/i386/nfs-utils-1.0.6-87.EL4.i386.rpm
Wrote: /usr/src/redhat/RPMS/i386/nfs-utils-debuginfo-1.0.6-87.EL4.i386.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.34918
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd nfs-utils-1.0.6
+ rm -rf /var/tmp/nfs-utils-root
+ exit 0
#
Comment 1 Steve Dickson 2008-12-04 14:07:34 EST
Fixed in nfs-utils-1.0.6-89.EL4
Comment 3 Jiri Pallich 2012-06-20 11:58:12 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.